CSL 5.2

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes
csl::HRTF Class Reference

HRTF: holds the data that corresponds to an HRTF for a single position. It has a list of complex buffers for the FFTs of the HRIR, typically 16 blocks of 512 each for an 8k HRTF. This version knows how to parse the IRCAM hrtfs sets Subclasses could load different HRTF sets (e.g., CIPIC). More...

`#include <BinauralDB.h>`

List of all members.

## Public Member Functions
| HRTF ()
| HRTF constructor allocates memory for the HRTF data and then reads the HRIR file and performs the block-wise FFT.
| HRTF (char *fname, FFTWrapper &fft)
| load an HRIR file and do FFTs
| ~HRTF ()
void | dump ()
| Prints the position that corresponds to this HRTF.
unsigned | size ()
| returns the size on bytes of the receiver's storage

## Public Attributes
CPoint | mPosition
| The Position at which the HRIR was recorded.
SampleComplexVector * | mHrtfL
SampleComplexVector * | mHrtfR
| 2 arrays of arrays of mNumFFTBlocks * complex[513]: the HRTF data in blocks of complex # for stereo
unsigned | mNumFFTBlocks
| # of blocks (16)

## Detailed Description

HRTF: holds the data that corresponds to an HRTF for a single position. It has a list of complex buffers for the FFTs of the HRIR, typically 16 blocks of 512 each for an 8k HRTF. This version knows how to parse the IRCAM hrtfs sets Subclasses could load different HRTF sets (e.g., CIPIC).

Definition at line 101 of file BinauralDB.h.

## Constructor & Destructor Documentation

HRTF::HRTF | ( |  | ) |

HRTF constructor allocates memory for the HRTF data and then reads the HRIR file and performs the block-wise FFT.

generic constructor allocates all data

Definition at line 25 of file BinauralDB.cpp.

References HRIR_SIZE, HRTF_BLOCK_SIZE, and SAFE_MALLOC.

HRTF::HRTF | ( | char * | fname,
|  | FFTWrapper & | fft
| ) |  |

load an HRIR file and do FFTs

Definition at line 45 of file BinauralDB.cpp.

References CSL_DEGS_PER_RAD, HRIR_SIZE, HRTF_BLOCK_SIZE, csl::kLogError, csl::logMsg(), memcpy(), SAFE_MALLOC, and csl::Buffer::setBuffer().

HRTF::~HRTF | ( |  | ) |

Definition at line 116 of file BinauralDB.cpp.

References SAFE_FREE.

## Member Function Documentation

void HRTF::dump | ( | void |  | ) |

Prints the position that corresponds to this HRTF.

Definition at line 127 of file BinauralDB.cpp.

References CSL_DEGS_PER_RAD, and csl::logMsg().

unsigned HRTF::size | ( |  | ) |

returns the size on bytes of the receiver's storage

Definition at line 135 of file BinauralDB.cpp.

References HRTF_BLOCK_SIZE.

## Member Data Documentation

CPoint csl::HRTF::mPosition

The Position at which the HRIR was recorded.

Definition at line 111 of file BinauralDB.h.

Referenced by csl::HRTFDatabase::loadFromDB().

SampleComplexVector* csl::HRTF::mHrtfL

Definition at line 112 of file BinauralDB.h.

Referenced by csl::HRTFDatabase::loadFromDB(), csl::BinauralPanner::nextBuffer(), and csl::HRTFDatabase::storeToDB().

SampleComplexVector * csl::HRTF::mHrtfR

2 arrays of arrays of mNumFFTBlocks * complex[513]: the HRTF data in blocks of complex # for stereo

Definition at line 112 of file BinauralDB.h.

Referenced by csl::HRTFDatabase::loadFromDB(), csl::BinauralPanner::nextBuffer(), and csl::HRTFDatabase::storeToDB().

unsigned csl::HRTF::mNumFFTBlocks

# of blocks (16)

Definition at line 114 of file BinauralDB.h.

The documentation for this class was generated from the following files:

- CSL/Spatializers/Binaural/BinauralDB.h
- CSL/Spatializers/Binaural/BinauralDB.cpp